// Sample1_SWF_And_FLV_PlayerDlg.h : header file
//

#pragma once


// CSample1_SWF_And_FLV_PlayerDlg dialog
class CSample1_SWF_And_FLV_PlayerDlg : public CDialog
{
private:
	HWND m_hwndFlashPlayerControl;

// Construction
public:
	CSample1_SWF_And_FLV_PlayerDlg(CWnd* pParent = NULL);	// standard constructor

// Dialog Data
	enum { IDD = IDD_SAMPLE1_SWF_AND_FLV_PLAYER_DIALOG };

	protected:
	virtual void DoDataExchange(CDataExchange* pDX);	// DDX/DDV support


// Implementation
protected:
	HICON m_hIcon;

	// Generated message map functions
	virtual BOOL OnInitDialog();
	afx_msg void OnSysCommand(UINT nID, LPARAM lParam);
	afx_msg void OnPaint();
	afx_msg HCURSOR OnQueryDragIcon();
	DECLARE_MESSAGE_MAP()
public:
	afx_msg void OnBnClickedCheckStandardMenu();
	afx_msg void OnBnClickedCheckSounds();
	afx_msg void OnBnClickedPlaySWFFromFile();
	afx_msg void OnBnClickedPlayFLVFromFile();
	afx_msg void OnBnClickedSite();
	afx_msg void OnBnClickedOrder();
};
